Summary: 	A utility for removing files based on when they were last accessed.
Name: 		tmpwatch
Version: 	2.9.13
Release: 	11.3
Source: 	tmpwatch-%{version}.tar.bz2
Group: 		System Environment/Base
License:        GPL
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	psmisc

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time.  Tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp).  Tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
%__make ROOT=%{buildroot} install

( cd %{buildroot}
  mkdir -p ./etc/cron.daily
  echo '/usr/sbin/tmpwatch 240 /tmp' \
	>> ./etc/cron.daily/tmpwatch
  echo '/usr/sbin/tmpwatch 720 /var/tmp' \
	>> ./etc/cron.daily/tmpwatch
  echo 'for d in /var/{cache/man,catman}/{X11R6/cat?,cat?,local/cat?}; do
    [ -d $d ] && /usr/sbin/tmpwatch -f 240 $d
done' \
	>> ./etc/cron.daily/tmpwatch
  chmod +x ./etc/cron.daily/tmpwatch
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/tmpwatch
%{_mandir}/man8/*.8*
%config /etc/cron.daily/tmpwatch

%changelog
* Fri Jan 09 2009 Carsten Schoene <cs@linux-administrator.com> 2.9.13-1
- install fix (ROOT=)

* Wed May  21 2008 Juergen Gotteswinter <jg@internetx.de> 2.7.4-1
- bs port

